<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>BaseBinarySpec (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="BaseBinarySpec (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/platform/base/binary/BaseBinarySpec.html" target="_top">Frames</a></li>
<li><a href="BaseBinarySpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.platform.base.binary</div>
<h2 title="Class BaseBinarySpec" class="title">Class BaseBinarySpec</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.platform.base.component.internal.AbstractComponentSpec</li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractBuildableComponentSpec</li>
<li>
<ul class="inheritance">
<li>org.gradle.platform.base.binary.BaseBinarySpec</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>, <a href="../../../../../org/gradle/api/BuildableComponentSpec.html" title="interface in org.gradle.api">BuildableComponentSpec</a>, <a href="../../../../../org/gradle/api/CheckableComponentSpec.html" title="interface in org.gradle.api">CheckableComponentSpec</a>, <a href="../../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a>, <a href="../../../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a>, <a href="../../../../../org/gradle/platform/base/Binary.html" title="interface in org.gradle.platform.base">Binary</a>, <a href="../../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a>, <a href="../../../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>, org.gradle.platform.base.internal.BinarySpecInternal, org.gradle.platform.base.internal.ComponentSpecInternal</dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public class <span class="strong">BaseBinarySpec</span>
extends org.gradle.api.internal.AbstractBuildableComponentSpec
implements org.gradle.platform.base.internal.BinarySpecInternal</pre>
<div class="block">Base class that may be used for custom <a href="../../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base"><code>BinarySpec</code></a> implementations. However, it is generally better to use an
 interface annotated with <a href="../../../../../org/gradle/model/Managed.html" title="annotation in org.gradle.model"><code>Managed</code></a> and not use an implementation class at all.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api">Named.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#BaseBinarySpec()">BaseBinarySpec</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static &lt;T extends <a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html" title="class in org.gradle.platform.base.binary">BaseBinarySpec</a>&gt;&nbsp;<br>T</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#create(java.lang.Class,%20java.lang.Class,%20org.gradle.platform.base.internal.ComponentSpecIdentifier,%20org.gradle.model.internal.core.MutableModelNode,%20org.gradle.model.internal.core.MutableModelNode,%20org.gradle.internal.reflect.Instantiator,%20org.gradle.api.internal.project.taskfactory.ITaskFactory)">create</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a>&gt;&nbsp;publicType,
      <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;implementationType,
      org.gradle.platform.base.internal.ComponentSpecIdentifier&nbsp;componentId,
      org.gradle.model.internal.core.MutableModelNode&nbsp;modelNode,
      org.gradle.model.internal.core.MutableModelNode&nbsp;componentNode,
      org.gradle.internal.reflect.Instantiator&nbsp;instantiator,
      org.gradle.api.internal.project.taskfactory.ITaskFactory&nbsp;taskFactory)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.gradle.platform.base.internal.BinaryBuildAbility</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#getBinaryBuildAbility()">getBinaryBuildAbility</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>org.gradle.platform.base.internal.BinaryBuildAbility</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#getBuildAbility()">getBuildAbility</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#getComponent()">getComponent</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected &lt;T extends <a href="../../../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>&gt;&nbsp;<br>T</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#getComponentAs(java.lang.Class)">getComponentAs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;componentType)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/artifacts/component/LibraryBinaryIdentifier.html" title="interface in org.gradle.api.artifacts.component">LibraryBinaryIdentifier</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#getId()">getId</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api">DomainObjectSet</a>&lt;<a href="../../../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base">LanguageSourceSet</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#getInputs()">getInputs</a></strong>()</code>
<div class="block">Returns all inputs of the binary.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.gradle.platform.base.internal.BinaryNamingScheme</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#getNamingScheme()">getNamingScheme</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#getProjectScopedName()">getProjectScopedName</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#getPublicType()">getPublicType</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/model/ModelMap.html" title="interface in org.gradle.model">ModelMap</a>&lt;<a href="../../../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base">LanguageSourceSet</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#getSources()">getSources</a></strong>()</code>
<div class="block">The sources owned by this binary.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/platform/base/BinaryTasksCollection.html" title="interface in org.gradle.platform.base">BinaryTasksCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#getTasks()">getTasks</a></strong>()</code>
<div class="block">The set of tasks associated with this binary.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#hasCodependentSources()">hasCodependentSources</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#isBuildable()">isBuildable</a></strong>()</code>
<div class="block">Can this binary be built in the current environment?</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#isLegacyBinary()">isLegacyBinary</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#replaceSingleDirectory(java.util.Set,%20java.io.File)">replaceSingleDirectory</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;dirs,
                      <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;dir)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#setBuildable(boolean)">setBuildable</a></strong>(boolean&nbsp;buildable)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html#setNamingScheme(org.gradle.platform.base.internal.BinaryNamingScheme)">setNamingScheme</a></strong>(org.gradle.platform.base.internal.BinaryNamingScheme&nbsp;namingScheme)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractBuildableComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractBuildableComponentSpec</h3>
<code>builtBy, checkedBy, getBuildDependencies, getBuildTask, getCheckTask, hasBuildDependencies, setBuildTask, setCheckTask</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.component.internal.AbstractComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.platform.base.component.internal.AbstractComponentSpec</h3>
<code>getDisplayName, getIdentifier, getName, getProjectPath, getTypeName, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.BuildableComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/BuildableComponentSpec.html" title="interface in org.gradle.api">BuildableComponentSpec</a></h3>
<code><a href="../../../../../org/gradle/api/BuildableComponentSpec.html#builtBy(java.lang.Object...)">builtBy</a>, <a href="../../../../../org/gradle/api/BuildableComponentSpec.html#getBuildTask()">getBuildTask</a>, <a href="../../../../../org/gradle/api/BuildableComponentSpec.html#hasBuildDependencies()">hasBuildDependencies</a>, <a href="../../../../../org/gradle/api/BuildableComponentSpec.html#setBuildTask(org.gradle.api.Task)">setBuildTask</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Buildable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></h3>
<code><a href="../../../../../org/gradle/api/Buildable.html#getBuildDependencies()">getBuildDependencies</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.CheckableComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/CheckableComponentSpec.html" title="interface in org.gradle.api">CheckableComponentSpec</a></h3>
<code><a href="../../../../../org/gradle/api/CheckableComponentSpec.html#checkedBy(java.lang.Object...)">checkedBy</a>, <a href="../../../../../org/gradle/api/CheckableComponentSpec.html#getCheckTask()">getCheckTask</a>, <a href="../../../../../org/gradle/api/CheckableComponentSpec.html#setCheckTask(org.gradle.api.Task)">setCheckTask</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.ComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a></h3>
<code><a href="../../../../../org/gradle/platform/base/ComponentSpec.html#getProjectPath()">getProjectPath</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.model.ModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.model.<a href="../../../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a></h3>
<code><a href="../../../../../org/gradle/model/ModelElement.html#getDisplayName()">getDisplayName</a>, <a href="../../../../../org/gradle/model/ModelElement.html#getName()">getName</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.Binary">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../../../org/gradle/platform/base/Binary.html" title="interface in org.gradle.platform.base">Binary</a></h3>
<code><a href="../../../../../org/gradle/platform/base/Binary.html#getDisplayName()">getDisplayName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BaseBinarySpec()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BaseBinarySpec</h4>
<pre>public&nbsp;BaseBinarySpec()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="create(java.lang.Class, java.lang.Class, org.gradle.platform.base.internal.ComponentSpecIdentifier, org.gradle.model.internal.core.MutableModelNode, org.gradle.model.internal.core.MutableModelNode, org.gradle.internal.reflect.Instantiator, org.gradle.api.internal.project.taskfactory.ITaskFactory)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>create</h4>
<pre>public static&nbsp;&lt;T extends <a href="../../../../../org/gradle/platform/base/binary/BaseBinarySpec.html" title="class in org.gradle.platform.base.binary">BaseBinarySpec</a>&gt;&nbsp;T&nbsp;create(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a>&gt;&nbsp;publicType,
                                  <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;implementationType,
                                  org.gradle.platform.base.internal.ComponentSpecIdentifier&nbsp;componentId,
                                  org.gradle.model.internal.core.MutableModelNode&nbsp;modelNode,
                                  <a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
                                  org.gradle.model.internal.core.MutableModelNode&nbsp;componentNode,
                                  org.gradle.internal.reflect.Instantiator&nbsp;instantiator,
                                  org.gradle.api.internal.project.taskfactory.ITaskFactory&nbsp;taskFactory)</pre>
</li>
</ul>
<a name="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/artifacts/component/LibraryBinaryIdentifier.html" title="interface in org.gradle.api.artifacts.component">LibraryBinaryIdentifier</a>&nbsp;getId()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>getId</code>&nbsp;in interface&nbsp;<code>org.gradle.platform.base.internal.BinarySpecInternal</code></dd>
</dl>
</li>
</ul>
<a name="getPublicType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPublicType</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a>&gt;&nbsp;getPublicType()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>getPublicType</code>&nbsp;in interface&nbsp;<code>org.gradle.platform.base.internal.BinarySpecInternal</code></dd>
</dl>
</li>
</ul>
<a name="getComponent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponent</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
public&nbsp;<a href="../../../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>&nbsp;getComponent()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>getComponent</code>&nbsp;in interface&nbsp;<code>org.gradle.platform.base.internal.BinarySpecInternal</code></dd>
</dl>
</li>
</ul>
<a name="getComponentAs(java.lang.Class)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponentAs</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
protected&nbsp;&lt;T extends <a href="../../../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>&gt;&nbsp;T&nbsp;getComponentAs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;componentType)</pre>
</li>
</ul>
<a name="getProjectScopedName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProjectScopedName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getProjectScopedName()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>getProjectScopedName</code>&nbsp;in interface&nbsp;<code>org.gradle.platform.base.internal.BinarySpecInternal</code></dd>
</dl>
</li>
</ul>
<a name="setBuildable(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBuildable</h4>
<pre>public&nbsp;void&nbsp;setBuildable(boolean&nbsp;buildable)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>setBuildable</code>&nbsp;in interface&nbsp;<code>org.gradle.platform.base.internal.BinarySpecInternal</code></dd>
</dl>
</li>
</ul>
<a name="isBuildable()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBuildable</h4>
<pre>public final&nbsp;boolean&nbsp;isBuildable()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/platform/base/BinarySpec.html#isBuildable()">BinarySpec</a></code></strong></div>
<div class="block">Can this binary be built in the current environment?</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/platform/base/BinarySpec.html#isBuildable()">isBuildable</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a></code></dd>
</dl>
</li>
</ul>
<a name="getInputs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInputs</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api">DomainObjectSet</a>&lt;<a href="../../../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base">LanguageSourceSet</a>&gt;&nbsp;getInputs()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/platform/base/BinarySpec.html#getInputs()">BinarySpec</a></code></strong></div>
<div class="block">Returns all inputs of the binary. This includes source sets owned by the binary,
 and other source sets created elsewhere (e.g. inherited from the binary's component).</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/platform/base/BinarySpec.html#getInputs()">getInputs</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>all inputs of the binary.</dd></dl>
</li>
</ul>
<a name="getSources()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSources</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/model/ModelMap.html" title="interface in org.gradle.model">ModelMap</a>&lt;<a href="../../../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base">LanguageSourceSet</a>&gt;&nbsp;getSources()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/platform/base/BinarySpec.html#getSources()">BinarySpec</a></code></strong></div>
<div class="block">The sources owned by this binary.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/platform/base/BinarySpec.html#getSources()">getSources</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>the sources owned by the binary.</dd></dl>
</li>
</ul>
<a name="getTasks()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTasks</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/platform/base/BinaryTasksCollection.html" title="interface in org.gradle.platform.base">BinaryTasksCollection</a>&nbsp;getTasks()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../../org/gradle/platform/base/BinarySpec.html#getTasks()">BinarySpec</a></code></strong></div>
<div class="block">The set of tasks associated with this binary.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/platform/base/BinarySpec.html#getTasks()">getTasks</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a></code></dd>
</dl>
</li>
</ul>
<a name="isLegacyBinary()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isLegacyBinary</h4>
<pre>public&nbsp;boolean&nbsp;isLegacyBinary()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>isLegacyBinary</code>&nbsp;in interface&nbsp;<code>org.gradle.platform.base.internal.BinarySpecInternal</code></dd>
</dl>
</li>
</ul>
<a name="getNamingScheme()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNamingScheme</h4>
<pre>public&nbsp;org.gradle.platform.base.internal.BinaryNamingScheme&nbsp;getNamingScheme()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>getNamingScheme</code>&nbsp;in interface&nbsp;<code>org.gradle.platform.base.internal.BinarySpecInternal</code></dd>
</dl>
</li>
</ul>
<a name="setNamingScheme(org.gradle.platform.base.internal.BinaryNamingScheme)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNamingScheme</h4>
<pre>public&nbsp;void&nbsp;setNamingScheme(org.gradle.platform.base.internal.BinaryNamingScheme&nbsp;namingScheme)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>setNamingScheme</code>&nbsp;in interface&nbsp;<code>org.gradle.platform.base.internal.BinarySpecInternal</code></dd>
</dl>
</li>
</ul>
<a name="hasCodependentSources()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasCodependentSources</h4>
<pre>public&nbsp;boolean&nbsp;hasCodependentSources()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>hasCodependentSources</code>&nbsp;in interface&nbsp;<code>org.gradle.platform.base.internal.BinarySpecInternal</code></dd>
</dl>
</li>
</ul>
<a name="getBuildAbility()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBuildAbility</h4>
<pre>public final&nbsp;org.gradle.platform.base.internal.BinaryBuildAbility&nbsp;getBuildAbility()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>getBuildAbility</code>&nbsp;in interface&nbsp;<code>org.gradle.platform.base.internal.BinarySpecInternal</code></dd>
</dl>
</li>
</ul>
<a name="getBinaryBuildAbility()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBinaryBuildAbility</h4>
<pre>protected&nbsp;org.gradle.platform.base.internal.BinaryBuildAbility&nbsp;getBinaryBuildAbility()</pre>
</li>
</ul>
<a name="replaceSingleDirectory(java.util.Set, java.io.File)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>replaceSingleDirectory</h4>
<pre>public static&nbsp;void&nbsp;replaceSingleDirectory(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;dirs,
                          <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;dir)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/platform/base/binary/BaseBinarySpec.html" target="_top">Frames</a></li>
<li><a href="BaseBinarySpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
